<?php
// Add plugin-specific colors and fonts to the custom CSS
if (!function_exists('moveme_trx_addons_get_mycss')) {
	add_filter('moveme_filter_get_css', 'moveme_trx_addons_get_mycss', 10, 4);
	function moveme_trx_addons_get_mycss($css, $colors, $fonts, $scheme='') {

        if (isset($css['colors']) && $colors) {
            $css['colors'] .= <<<CSS
    .trx_addons_accent_hovered {
        color: {$colors['text_hover']};
    }
    .trx_addons_accent_bg {
        color: {$colors['text']};
    }
    blockquote{
        background-color: {$colors['text_hover2']};
    }
    blockquote a{
        color: {$colors['text_link']};
    }
    blockquote a:hover{
        color: {$colors['text_hover']};
    }
    figure figcaption,
    .scheme_default .wp-caption .wp-caption-text,
    .scheme_default .wp-caption .wp-caption-dd,
    .scheme_default .wp-caption-overlay .wp-caption .wp-caption-text,
    .scheme_default .wp-caption-overlay .wp-caption .wp-caption-dd{
        background-color: {$colors['extra_dark_05']};
        color: {$colors['inverse_text']};
    }
     ul[class*="trx_addons_list"]>li:before{
        color: {$colors['text_link2']};
     }
     ol>li::before{
         color: {$colors['text_light']};
     }
     ul[class*="trx_addons_list_dot"] > li:before{
        color: {$colors['text_link']};
     }
     .widget input[type="text"],
     .widget input[type="number"],
     .widget input[type="email"],
     .widget input[type="tel"],
     .widget input[type="password"],
     .widget input[type="search"],
     .widget select,
     .widget select:focus,
     .widget textarea,
     .widget textarea.wp-editor-area{
         background-color: {$colors['inverse_text']} !important;
     }
     .widget_search form:after,
    .woocommerce.widget_product_search form:after,
     .widget_display_search form:after,
     #bbpress-forums #bbp-search-form:after{
        color: {$colors['text_dark']};
     }
      .widget_search form:hover:after,
    .woocommerce.widget_product_search form:hover:after,
     .widget_display_search form:hover:after,
     #bbpress-forums #bbp-search-form:hover:after{
        color: {$colors['text_link']};
     }
     span.wpcf7-not-valid-tip {
         color: {$colors['text_link']};
     }
    input[type="text"],
    input[type="number"],
    input[type="email"],
    input[type="tel"],
    input[type="search"],
    input[type="password"],
    .select_container,
    .select2-container .select2-choice,
    .select2-container .select2-selection,
     textarea,
     textarea.wp-editor-area,
     #buddypress .dir-search input[type="search"],
     #buddypress .dir-search input[type="text"],
     #buddypress .groups-members-search input[type="search"],
     #buddypress .groups-members-search input[type="text"],
     #buddypress .standard-form input[type="color"],
     #buddypress .standard-form input[type="date"],
     #buddypress .standard-form input[type="datetime-local"],
     #buddypress .standard-form input[type="datetime"],
     #buddypress .standard-form input[type="email"],
     #buddypress .standard-form input[type="month"],
     #buddypress .standard-form input[type="number"],
     #buddypress .standard-form input[type="password"],
     #buddypress .standard-form input[type="range"],
     #buddypress .standard-form input[type="search"],
     #buddypress .standard-form input[type="tel"],
     #buddypress .standard-form input[type="text"],
     #buddypress .standard-form input[type="time"],
     #buddypress .standard-form input[type="url"],
     #buddypress .standard-form input[type="week"],
     #buddypress .standard-form select,
     #buddypress .standard-form textarea,
     #buddypress form#whats-new-form textarea,
     #booked-page-form input[type="email"],
     #booked-page-form input[type="text"],
     #booked-page-form input[type="password"],
     #booked-page-form textarea,
     .booked-upload-wrap,
     .booked-upload-wrap input{
        color: {$colors['text']};
        background-color: {$colors['input_bg_color']};
        border-color: {$colors['input_bg_color']};
     }

     input[type="text"]:hover,
    input[type="number"]:hover,
    input[type="email"]:hover,
    input[type="tel"]:hover,
    input[type="search"]:hover,
    input[type="password"]:hover,
    .select_container:hover,
    .select2-container .select2-choice:hover,
    .select2-container .select2-selection:hover,
     textarea:hover,
     textarea.wp-editor-area:hover,
     #buddypress .dir-search input[type="search"]:hover,
     #buddypress .dir-search input[type="text"]:hover,
     #buddypress .groups-members-search input[type="search"]:hover,
     #buddypress .groups-members-search input[type="text"]:hover,
     #buddypress .standard-form input[type="color"]:hover,
     #buddypress .standard-form input[type="date"]:hover,
     #buddypress .standard-form input[type="datetime-local"]:hover,
     #buddypress .standard-form input[type="datetime"]:hover,
     #buddypress .standard-form input[type="email"]:hover,
     #buddypress .standard-form input[type="month"]:hover,
     #buddypress .standard-form input[type="number"]:hover,
     #buddypress .standard-form input[type="password"]:hover,
     #buddypress .standard-form input[type="range"]:hover,
     #buddypress .standard-form input[type="search"]:hover,
     #buddypress .standard-form input[type="tel"]:hover,
     #buddypress .standard-form input[type="text"]:hover,
     #buddypress .standard-form input[type="time"]:hover,
     #buddypress .standard-form input[type="url"]:hover,
     #buddypress .standard-form input[type="week"]:hover,
     #buddypress .standard-form select:hover,
     #buddypress .standard-form textarea:hover,
     #buddypress form#whats-new-form textarea:hover,
     #booked-page-form input[type="email"]:hover,
     #booked-page-form input[type="text"]:hover,
     #booked-page-form input[type="password"]:hover,
     #booked-page-form textarea:hover,
     .booked-upload-wrap:hover,
     .booked-upload-wrap input:hover{
        color: {$colors['text']};
        background-color: {$colors['input_bg_color']};
        border-color: {$colors['text_link']};
     }

       input[type="text"]:focus,
    input[type="number"]:focus,
    input[type="email"]:focus,
    input[type="tel"]:focus,
    input[type="search"]:focus,
    input[type="password"]:focus,
    .select_container:focus,
    .select2-container .select2-choice:focus,
    .select2-container .select2-selection:focus,
     textarea:focus,
     textarea.wp-editor-area:focus,
     #buddypress .dir-search input[type="search"]:focus,
     #buddypress .dir-search input[type="text"]:focus,
     #buddypress .groups-members-search input[type="search"]:focus,
     #buddypress .groups-members-search input[type="text"]:focus,
     #buddypress .standard-form input[type="color"]:focus,
     #buddypress .standard-form input[type="date"]:focus,
     #buddypress .standard-form input[type="datetime-local"]:focus,
     #buddypress .standard-form input[type="datetime"]:focus,
     #buddypress .standard-form input[type="email"]:focus,
     #buddypress .standard-form input[type="month"]:focus,
     #buddypress .standard-form input[type="number"]:focus,
     #buddypress .standard-form input[type="password"]:focus,
     #buddypress .standard-form input[type="range"]:focus,
     #buddypress .standard-form input[type="search"]:focus,
     #buddypress .standard-form input[type="tel"]:focus,
     #buddypress .standard-form input[type="text"]:focus,
     #buddypress .standard-form input[type="time"]:focus,
     #buddypress .standard-form input[type="url"]:focus,
     #buddypress .standard-form input[type="week"]:focus,
     #buddypress .standard-form select:focus,
     #buddypress .standard-form textarea:focus,
     #buddypress form#whats-new-form textarea:focus,
     #booked-page-form input[type="email"]:focus,
     #booked-page-form input[type="text"]:focus,
     #booked-page-form input[type="password"]:focus,
     #booked-page-form textarea:focus,
     .booked-upload-wrap:focus,
     .booked-upload-wrap input:focus{
        color: {$colors['text']};
        background-color: {$colors['input_bg_color']};
        border-color: {$colors['text_dark']};
     }
    blockquote{
         color: {$colors['inverse_text']};
    }
    table th{
        color: {$colors['text_dark']};
        background-color: {$colors['text_link']};
    }
    table>tbody>tr:nth-child(2n)>td,
    table>tbody>tr:nth-child(2n+1)>td {
        background-color: {$colors['text_link3']};
    }
    table td+td, table td{
        border-color: {$colors['extra_bd_color']};
        color: {$colors['text']};

    }
    table th + th, .scheme_default table td + th {
         border-color: {$colors['inverse_text_03']};
    }
    .sc_layouts_row_type_narrow,
    .sc_layouts_row.sc_layouts_row_type_narrow{
         background-color: {$colors['text_link3']};
    }
    button,
input[type="button"],
input[type="reset"],
input[type="submit"],
.theme_button,
.post_item .more-link,
.gallery_preview_show .post_readmore,
/* BB PRess */
#buddypress .comment-reply-link,
#buddypress .generic-button a,
#buddypress a.button,
#buddypress button,
#buddypress input[type="button"],
#buddypress input[type="reset"],
#buddypress input[type="submit"],
#buddypress ul.button-nav li a,
#buddypress div.activity-meta a,
a.bp-title-button,
/* Booked */
body #booked-profile-page input[type="submit"],
body #booked-profile-page button,
body .booked-list-view input[type="submit"],
body .booked-list-view button,
body table.booked-calendar input[type="submit"],
body table.booked-calendar button,
body .booked-modal input[type="submit"],
body .booked-modal button,
/* MailChimp */
.mc4wp-form .mc4wp-form-fields input[type="submit"],
/* ThemeREX Addons*/
.sc_button,
.sc_form button,
.sc_price_link,
.sc_action_item_link,
/* Tribe Events */
#tribe-bar-form .tribe-bar-submit input[type="submit"], #tribe-bar-form button, #tribe-bar-form a, #tribe-bar-form input,
#tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option a,
.tribe-bar-mini #tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option a,
#tribe-events .tribe-events-button,
.tribe-events-button,
.tribe-events-cal-links a,
.tribe-events-sub-nav li a,
.tribe-events-read-more,
/* WooCommerce buttons */
.woocommerce .button, .woocommerce-page .button,
.woocommerce a.button,
.woocommerce button.button,
.woocommerce input.button
.woocommerce #respond input#submit,
.woocommerce input[type="button"], .woocommerce-page input[type="button"],
.woocommerce input[type="submit"], .woocommerce-page input[type="submit"],
.woocommerce .woocommerce-message .button,
.woocommerce ul.products li.product .button,
.woocommerce div.product form.cart .button,
.woocommerce #review_form #respond p.form-submit input[type="submit"],
.woocommerce-page #review_form #respond p.form-submit input[type="submit"],
.woocommerce table.my_account_orders .order-actions .button,
.woocommerce table.cart td.actions .button,
.yith-woocompare-widget a.clear-all,
 #btn-buy{
     background-color: {$colors['text_link']};
     border-color: {$colors['text_link']};
     color: {$colors['text_dark']}!important;
}

button,
input[type="button"]:hover,
input[type="reset"]:hover,
input[type="submit"]:hover,
.theme_button:hover,
.post_item .more-link:hover,
.gallery_preview_show .post_readmore:hover,
/* BB PRess */
#buddypress .comment-reply-link:hover,
#buddypress .generic-button a:hover,
#buddypress a.button:hover,
#buddypress button:hover,
#buddypress input[type="button"]:hover,
#buddypress input[type="reset"]:hover,
#buddypress input[type="submit"]:hover,
#buddypress ul.button-nav li a:hover,
#buddypress div.activity-meta a:hover,
a.bp-title-button:hover,
/* Booked */
body #booked-profile-page input[type="submit"]:hover,
body #booked-profile-page button:hover,
body .booked-list-view input[type="submit"]:hover,
body .booked-list-view button:hover,
body table.booked-calendar input[type="submit"]:hover,
body table.booked-calendar button:hover,
body .booked-modal input[type="submit"]:hover,
body .booked-modal button:hover,
/* MailChimp */
.mc4wp-form .mc4wp-form-fields input[type="submit"]:hover,
/* ThemeREX Addons*/
.sc_button:hover,
.sc_form button:hover,
.sc_price_link:hover,
.sc_action_item_link:hover,
/* Tribe Events */
#tribe-bar-form .tribe-bar-submit input[type="submit"]:hover
, #tribe-bar-form button:hover,
#tribe-bar-form a:hover,
#tribe-bar-form input:hover,
#tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option a:hover,
.tribe-bar-mini #tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option a:hover,
#tribe-events .tribe-events-button:hover,
.tribe-events-button:hover,
.tribe-events-cal-links a:hover,
.tribe-events-sub-nav li a:hover,
.tribe-events-read-more:hover,
/* WooCommerce buttons */
#btn-buy:hover,
.woocommerce .button:hover, .woocommerce-page .button:hover,
.woocommerce a.button:hover,
.woocommerce button.button:hover,
.woocommerce input.button
.woocommerce #respond input#submit:hover,
.woocommerce input[type="button"]:hover, .woocommerce-page input[type="button"]:hover,
.woocommerce input[type="submit"]:hover, .woocommerce-page input[type="submit"]:hover,
.woocommerce .woocommerce-message .button:hover,
.woocommerce ul.products li.product .button:hover,
.woocommerce div.product form.cart .button:hover,
.woocommerce #review_form #respond p.form-submit input[type="submit"]:hover,
.woocommerce-page #review_form #respond p.form-submit input[type="submit"]:hover,
.woocommerce table.my_account_orders .order-actions .button:hover,
.woocommerce table.cart td.actions .button:hover,
.yith-woocompare-widget a.clear-all {
     background-color: {$colors['text_hover']};
     border-color: {$colors['text_hover']};
     color: {$colors['text_dark']}!important;

}
.sc_layouts_row_type_compact .sc_layouts_item_details_line2,
.sc_layouts_row_type_narrow .sc_layouts_item_details_line2{
     color: {$colors['text_link']}!important;
}
.sc_layouts_menu_nav > li > a {
    color: {$colors['text_dark']}!important;
}
.sc_layouts_menu_popup .sc_layouts_menu_nav > li > a:hover,
.sc_layouts_menu_popup .sc_layouts_menu_nav > li.sfHover > a,
.sc_layouts_menu_nav > li li > a:hover,
.sc_layouts_menu_nav > li li.sfHover>a,
.sc_layouts_menu_nav > li li.current-menu-item > a,
.sc_layouts_menu_nav > li li.current-menu-parent > a,
.sc_layouts_menu_nav > li li.current-menu-ancestor > a{
     background-color: {$colors['extra_bg_color']};
     border-color: {$colors['inverse_text_02']};
     color: {$colors['inverse_text']}!important;
}
 .breadcrumbs_item.home,
 .breadcrumbs,
 .sc_layouts_title_caption{
    color: {$colors['inverse_text']}!important;
}
.breadcrumbs .breadcrumbs_delimiter:hover:before{
    color: {$colors['text_link']}
}
.breadcrumbs .breadcrumbs_delimiter:before{
    color: {$colors['text_link2']}
}
body .sc_layouts_row_type_narrow .sc_layouts_item_icon {
      background-color: {$colors['text_link']};
      color: {$colors['inverse_text']};
}
.sc_layouts_menu_popup .sc_layouts_menu_nav,
.sc_layouts_menu_nav>li ul{
     background-color: {$colors['text_hover2']};
}
body .sc_layouts_menu_popup .sc_layouts_menu_nav>li>a,
body .sc_layouts_menu_nav>li li>a{
     color: {$colors['inverse_text']}!important;
}
.sc_layouts_menu_nav>li.current-menu-item>a,
.sc_layouts_menu_nav>li.current-menu-parent>a,
.sc_layouts_menu_nav>li.current-menu-ancestor>a,
.sc_layouts_menu_nav > li > a:hover,
.sc_layouts_menu_nav > li.sfHover > a{
    background-color: {$colors['text_link3']};
    color: {$colors['text_dark']}!important;
 }
.sc_layouts_row_type_normal .sc_layouts_menu_nav>li.current-menu-item>a,
.sc_layouts_row_type_normal .sc_layouts_menu_nav>li.current-menu-parent>a,
.sc_layouts_row_type_normal .sc_layouts_menu_nav>li.current-menu-ancestor>a,
.sc_layouts_row_type_normal .sc_layouts_menu_nav > li > a:hover,
.sc_layouts_row_type_normal .sc_layouts_menu_nav > li.sfHover > a{
    background-color: {$colors['bg_color']};
 }
 .sc_layouts_row_type_normal .search_wrap .search_submit:before {
    color: {$colors['text_dark']}
 }
 .widget li {
     color: {$colors['text']};
 }
 .widget ul>li:before{
    background-color: {$colors['bg_color_0']};
    color: {$colors['text_link2']};
 }
 .sidebar_inner .widget + .widget {
    border-color: {$colors['inverse_text']};
 }

 .sidebar_inner{
    background-color: {$colors['text_link3']};
 }

.scheme_dark button, .scheme_dark input[type="reset"], .scheme_dark input[type="submit"], .scheme_dark input[type="button"], .scheme_dark .more-link, .scheme_dark .comments_wrap .form-submit input[type="submit"], .scheme_dark #buddypress .comment-reply-link, .scheme_dark #buddypress .generic-button a, .scheme_dark #buddypress a.button, .scheme_dark #buddypress button, .scheme_dark #buddypress input[type="button"], .scheme_dark #buddypress input[type="reset"], .scheme_dark #buddypress input[type="submit"], .scheme_dark #buddypress ul.button-nav li a, .scheme_dark a.bp-title-button, .scheme_dark .booked-calendar-wrap .booked-appt-list .timeslot .timeslot-people button, .scheme_dark body #booked-profile-page .booked-profile-appt-list .appt-block .booked-cal-buttons .google-cal-button>a, .scheme_dark body #booked-profile-page input[type="submit"], .scheme_dark body #booked-profile-page button, .scheme_dark body .booked-list-view input[type="submit"], .scheme_dark body .booked-list-view button, .scheme_dark body table.booked-calendar input[type="submit"], .scheme_dark body table.booked-calendar button, .scheme_dark body .booked-modal input[type="submit"], .scheme_dark body .booked-modal button, .scheme_dark .sc_button_default, .scheme_dark .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image), .scheme_dark .sc_action_item_link, .scheme_dark .socials_share:not(.socials_type_drop) .social_icon, .scheme_dark #tribe-bar-form .tribe-bar-submit input[type="submit"], .scheme_dark #tribe-bar-form.tribe-bar-mini .tribe-bar-submit input[type="submit"], .scheme_dark #tribe-bar-views li.tribe-bar-views-option a, .scheme_dark #tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option.tribe-bar-active a, .scheme_dark #tribe-events .tribe-events-button, .scheme_dark .tribe-events-button, .scheme_dark .tribe-events-cal-links a, .scheme_dark .tribe-events-sub-nav li a, .scheme_dark .woocommerce #respond input#submit, .scheme_dark .woocommerce .button, .scheme_dark .woocommerce-page .button, .scheme_dark .woocommerce a.button, .scheme_dark .woocommerce-page a.button, .scheme_dark .woocommerce button.button, .scheme_dark .woocommerce-page button.button, .scheme_dark .woocommerce input.button, .scheme_dark .woocommerce-page input.button, .scheme_dark .woocommerce input[type="button"], .scheme_dark .woocommerce-page input[type="button"], .scheme_dark .woocommerce input[type="submit"], .scheme_dark .woocommerce-page input[type="submit"], .scheme_dark .woocommerce nav.woocommerce-pagination ul li a, .scheme_dark .woocommerce #respond input#submit.alt, .scheme_dark .woocommerce a.button.alt, .scheme_dark .woocommerce button.button.alt, .scheme_dark .woocommerce input.button.alt {
    background-color: {$colors['bg_color']} !important;
    border-color: {$colors['bg_color']} !important;
    color: {$colors['text_dark']} !important;
}

.scheme_dark button:hover, .scheme_dark button:focus, .scheme_dark input[type="submit"]:hover, .scheme_dark input[type="submit"]:focus, .scheme_dark input[type="reset"]:hover, .scheme_dark input[type="reset"]:focus, .scheme_dark input[type="button"]:hover, .scheme_dark input[type="button"]:focus, .scheme_dark .more-link:hover, .scheme_dark .comments_wrap .form-submit input[type="submit"]:hover, .scheme_dark .comments_wrap .form-submit input[type="submit"]:focus, .scheme_dark #buddypress .comment-reply-link:hover, .scheme_dark #buddypress .generic-button a:hover, .scheme_dark #buddypress a.button:hover, .scheme_dark #buddypress button:hover, .scheme_dark #buddypress input[type="button"]:hover, .scheme_dark #buddypress input[type="reset"]:hover, .scheme_dark #buddypress input[type="submit"]:hover, .scheme_dark #buddypress ul.button-nav li a:hover, .scheme_dark a.bp-title-button:hover, .scheme_dark .booked-calendar-wrap .booked-appt-list .timeslot .timeslot-people button:hover, .scheme_dark body #booked-profile-page .booked-profile-appt-list .appt-block .booked-cal-buttons .google-cal-button>a:hover, .scheme_dark body #booked-profile-page input[type="submit"]:hover, .scheme_dark body #booked-profile-page button:hover, .scheme_dark body .booked-list-view input[type="submit"]:hover, .scheme_dark body .booked-list-view button:hover, .scheme_dark body table.booked-calendar input[type="submit"]:hover, .scheme_dark body table.booked-calendar button:hover, .scheme_dark body .booked-modal input[type="submit"]:hover, .scheme_dark body .booked-modal button:hover, .scheme_dark .sc_button_default:hover, .scheme_dark .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):hover, .scheme_dark .sc_action_item_link:hover, .scheme_dark .socials_share:not(.socials_type_drop) .social_icon:hover, .scheme_dark #tribe-bar-form .tribe-bar-submit input[type="submit"]:hover, .scheme_dark #tribe-bar-form .tribe-bar-submit input[type="submit"]:focus, .scheme_dark #tribe-bar-form.tribe-bar-mini .tribe-bar-submit input[type="submit"]:hover, .scheme_dark #tribe-bar-form.tribe-bar-mini .tribe-bar-submit input[type="submit"]:focus, .scheme_dark #tribe-bar-views li.tribe-bar-views-option a:hover, .scheme_dark #tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option.tribe-bar-active a:hover, .scheme_dark #tribe-events .tribe-events-button:hover, .scheme_dark .tribe-events-button:hover, .scheme_dark .tribe-events-cal-links a:hover, .scheme_dark .tribe-events-sub-nav li a:hover, .scheme_dark .woocommerce #respond input#submit:hover, .scheme_dark .woocommerce .button:hover, .scheme_dark .woocommerce-page .button:hover, .scheme_dark .woocommerce a.button:hover, .scheme_dark .woocommerce-page a.button:hover, .scheme_dark .woocommerce button.button:hover, .scheme_dark .woocommerce-page button.button:hover, .scheme_dark .woocommerce input.button:hover, .scheme_dark .woocommerce-page input.button:hover, .scheme_dark .woocommerce input[type="button"]:hover, .scheme_dark .woocommerce-page input[type="button"]:hover, .scheme_dark .woocommerce input[type="submit"]:hover, .scheme_dark .woocommerce-page input[type="submit"]:hover, .scheme_dark .woocommerce nav.woocommerce-pagination ul li a:hover, .scheme_dark .woocommerce nav.woocommerce-pagination ul li span.current {
    background-color: {$colors['bg_color_0']} !important;
    border-color: {$colors['bg_color']} !important;
    color: {$colors['bg_color']} !important;
}
.scheme_self.sc_content .socials_wrap .social_item .social_icon,
.footer_wrap .socials_wrap .social_item .social_icon,
.scheme_self.footer_wrap .socials_wrap .social_item .social_icon {
	color: {$colors['bg_color']};
	background-color: {$colors['text_dark']};
	border-color: {$colors['text_dark']};
}
.scheme_self.sc_content .socials_wrap .social_item:hover .social_icon,
.footer_wrap .socials_wrap .social_item:hover .social_icon,
.scheme_self.footer_wrap .socials_wrap .social_item:hover .social_icon {
	color: {$colors['text_dark']};
	background-color: {$colors['bg_color_0']};
	border-color: {$colors['text_dark']};
}
.sc_skills .sc_skills_total {
    color: {$colors['text_dark']};
}
.sc_countdown_default .sc_countdown_digits span {
	color: {$colors['text_link']};
	background-color: {$colors['bg_color_0']};
}
.trx_addons_audio_player .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-total:before, .trx_addons_audio_player .mejs-controls .mejs-time-rail .mejs-time-total:before {
    background-color: {$colors['bg_color']};
}
body .mejs-container .mejs-time * {
    color: {$colors['text']};
}
.sc_price_info .sc_price_description,
.sc_price_info .sc_price_details {
    color: {$colors['text']};
}
.sc_price:hover,
.sc_price {
    background-color: {$colors['text_link3']};
}
.price-header {
    background-color: {$colors['text_hover2']};
}
.sc_price_info .sc_price_price {
	color: {$colors['bg_color']};
	background-color: {$colors['text_link']};
}
.sc_price_info .sc_price_title,
.sc_price_info .sc_price_title a {
    color: {$colors['bg_color']};
}
.sc_price:hover .sc_price_info .sc_price_title,
.sc_price:hover .sc_price_info .sc_price_title a,
.sc_price_info .sc_price_title a:hover {
    color: {$colors['bg_color_06']};
}
.sc_promo .sc_promo_descr {
    color: {$colors['text']};
}
.sc_promo_button .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image) {
    background-color: {$colors['text_link3']};
    border-color: {$colors['text_link3']};
}
.sc_promo_button .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):hover {
    background-color: {$colors['text_link']};
     border-color: {$colors['text_link']};
}
.sc_recent_news .post_counters_item {
    background-color: {$colors['bg_color_0']} !important;
}
.sc_services_item_price,
ul[class*="trx_addons_list_arrow"] li a:hover,
.sc_recent_news .post_item .post_featured .post_info .post_date a {
    color: {$colors['text_link']};
}
ul[class*="trx_addons_list_arrow"] li,
ul[class*="trx_addons_list_arrow"] li a,
.sc_icons .sc_icons_item_title {
    color: {$colors['text_dark']};
}
.sc_recent_news .post_item .post_featured .post_info .post_date a:hover {
    color: {$colors['bg_color']};
}
ul[class*="trx_addons_list_arrow"] li:before,
.sc_services_default .sc_services_item_featured_left .sc_services_item_icon,
.sc_services_default .sc_services_item_featured_right .sc_services_item_icon {
    color: {$colors['bg_color']};
    background-color: {$colors['text_link']};
    border-color: {$colors['text_link']};
}
.sc_services_default .sc_services_item_featured_left:hover .sc_services_item_icon,
.sc_services_default .sc_services_item_featured_right:hover .sc_services_item_icon {
    color: {$colors['bg_color']};
    background-color: {$colors['text_hover']};
    border-color: {$colors['text_hover']};
}
.sc_icons [class*="trx_addons_column-1"] + [class*="trx_addons_column-1"]:before {
    color: {$colors['text_link2']};
}
.sc_services_hover .sc_services_item_text {
    color: {$colors['bg_color_08']};
}
.sc_services_default .sc_services_item_featured_left .sc_services_item_number,
 .sc_services_default .sc_services_item_featured_right .sc_services_item_number {
    color: {$colors['text_dark']};
    background-color: {$colors['text_link']};
}
body .cq-infobox:after {
    border-color: {$colors['extra_link']} transparent;
}
body .cq-infobox,
body .cq-draggable-slider,
.cq-highlight-container:before {
    background-color: {$colors['extra_link']};
}
.sc_team_full .sc_team_item {
    background-color: {$colors['input_bg_color']};
}
.team_member_page .team_member_socials .social_item .social_icon {
    color: {$colors['text_dark']};
    background-color: {$colors['text_link3']};
    border-color: {$colors['text_link3']};
}
.sc_team_full .sc_team_item_socials .social_item .social_icon {
    color: {$colors['text_dark']};
    background-color: {$colors['bg_color']};
    border-color: {$colors['bg_color']};
}
.team_member_page .team_member_socials .social_item:hover .social_icon,
.sc_team_full .sc_team_item_socials .social_item:hover .social_icon {
    color: {$colors['text_dark']};
    background-color: {$colors['text_link']};
    border-color: {$colors['text_link']};
}
.custom .tp-bullet {
    background-color: {$colors['bg_color_02']};
}
.custom .tp-bullet.selected,
.custom .tp-bullet:hover {
    background-color: {$colors['bg_color']};
}
.scheme_dark .sc_icons [class*="trx_addons_column-1"] + [class*="trx_addons_column-1"]:before {
color: {$colors['text_link2']};
}
.sc_layouts_row_type_normal .search_wrap .search_field {
    background-color: {$colors['bg_color']};
}
.scheme_dark .sc_layouts_row.sc_layouts_row_type_narrow, .scheme_dark.sc_layouts_row.sc_layouts_row_type_narrow,
.scheme_dark .sc_layouts_row, .scheme_dark.sc_layouts_row,
.scheme_dark .sc_layouts_row_type_narrow, .scheme_dark .sc_layouts_row.sc_layouts_row_type_narrow {
    background-color: {$colors['alter_dark']};
}
.scheme_dark.sc_layouts_row_type_narrow .sc_layouts_item_details_line1,
.scheme_dark .sc_layouts_row_type_narrow .sc_layouts_item_details_line1 {
    color: {$colors['text']};
}
.scheme_dark .sc_layouts_menu_nav>li.current-menu-item>a, .scheme_dark .sc_layouts_menu_nav>li.current-menu-parent>a, .scheme_dark .sc_layouts_menu_nav>li.current-menu-ancestor>a, .scheme_dark .sc_layouts_menu_nav>li>a:hover, .scheme_dark .sc_layouts_menu_nav>li.sfHover>a {
    color: {$colors['text_dark']} !important;
    background-color: {$colors['text_link']} !important;
}
.scheme_dark .sc_layouts_menu_popup .sc_layouts_menu_nav>li>a:hover, .scheme_dark .sc_layouts_menu_popup .sc_layouts_menu_nav>li.sfHover>a, .scheme_dark .sc_layouts_menu_nav>li li>a:hover, .scheme_dark .sc_layouts_menu_nav>li li.sfHover>a, .scheme_dark .sc_layouts_menu_nav>li li.current-menu-item>a, .scheme_dark .sc_layouts_menu_nav>li li.current-menu-parent>a, .scheme_dark .sc_layouts_menu_nav>li li.current-menu-ancestor>a {
         background-color: {$colors['extra_bg_color']};
     border-color: {$colors['inverse_text_02']};
     color: {$colors['inverse_text']}!important;
}
.menu_mobile .search_mobile .search_submit {
    color: {$colors['bg_color']} !important;
}
.post_item_single .post_content .post_meta .post_share .social_item .social_icon,
.socials_wrap .social_item .social_icon {
	background-color: {$colors['text_link3']};
	border-color: {$colors['text_link3']};
}
.post_item_single .post_content .post_meta .post_share .social_item .social_icon,
.socials_wrap .social_item .social_icon,
.socials_wrap .social_item .social_icon i {
	color: {$colors['text_dark']};
}
.post_item_single .post_content .post_meta .post_share .social_item:hover .social_icon,
.socials_wrap .social_item:hover .social_icon {
	background-color: {$colors['text_link']};
	border-color: {$colors['text_link']};
}
.post_item_single .post_content .post_meta .post_share .social_item:hover .social_icon,
.socials_wrap .social_item:hover .social_icon,
.socials_wrap .social_item:hover .social_icon i {
	color: {$colors['inverse_link']} !important;
}


.xdsoft_datetimepicker .xdsoft_label>.xdsoft_select>div>.xdsoft_option.xdsoft_current,
.xdsoft_datetimepicker .xdsoft_calendar td:hover,
.xdsoft_datetimepicker .xdsoft_calendar td.xdsoft_current{
	color: {$colors['text_hover']}!important;
}
.xdsoft_datetimepicker .xdsoft_calendar th{
	color: {$colors['text_dark']};
	background-color: {$colors['text_link']}!important;
	border-color: {$colors['text_link']}!important;
}


CSS;
		}

		return $css;
	}
}
?>