<?php
/* WPBakery Page Builder Extensions Bundle support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('moveme_vc_extensions_theme_setup9')) {
	add_action( 'after_setup_theme', 'moveme_vc_extensions_theme_setup9', 9 );
	function moveme_vc_extensions_theme_setup9() {
		if (moveme_exists_visual_composer()) {
			add_action( 'wp_enqueue_scripts', 								'moveme_vc_extensions_frontend_scripts', 1100 );
			add_filter( 'moveme_filter_merge_styles',						'moveme_vc_extensions_merge_styles' );
		}
	
		if (is_admin()) {
			add_filter( 'moveme_filter_tgmpa_required_plugins',		'moveme_vc_extensions_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'moveme_vc_extensions_tgmpa_required_plugins' ) ) {
	
	function moveme_vc_extensions_tgmpa_required_plugins($list=array()) {
		if (in_array('vc-extensions-bundle', moveme_storage_get('required_plugins'))) {
			$path = moveme_get_file_dir('plugins/vc-extensions-bundle/vc-extensions-bundle.zip');
			$list[] = array(
					'name' 		=> esc_html__('WPBakery Page Builder Extensions Bundle', 'moveme'),
					'slug' 		=> 'vc-extensions-bundle',
                    'version'	=> '3.6.0',
					'source'	=> !empty($path) ? $path : 'upload://vc-extensions-bundle.zip',
					'required' 	=> false
			);
		}
		return $list;
	}
}

// Check if VC Extensions installed and activated
if ( !function_exists( 'moveme_exists_vc_extensions' ) ) {
	function moveme_exists_vc_extensions() {
		return class_exists('Vc_Manager') && class_exists('VC_Extensions_CQBundle');
	}
}
	
// Enqueue VC custom styles
if ( !function_exists( 'moveme_vc_extensions_frontend_scripts' ) ) {
	
	function moveme_vc_extensions_frontend_scripts() {
		if (moveme_is_on(moveme_get_theme_option('debug_mode')) && moveme_get_file_dir('plugins/vc-extensions-bundle/vc-extensions-bundle.css')!='')
			wp_enqueue_style( 'moveme-vc-extensions-bundle',  moveme_get_file_url('plugins/vc-extensions-bundle/vc-extensions-bundle.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'moveme_vc_extensions_merge_styles' ) ) {
	
	function moveme_vc_extensions_merge_styles($list) {
		$list[] = 'plugins/vc-extensions-bundle/vc-extensions-bundle.css';
		return $list;
	}
}
?>